<?php
/**
 * Plugin tagEditor
 *
 * @package	PLX
 * @author	Stephane F, Thomas Ingles
 **/
class tagEditor extends plxPlugin {

	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par défaut utilisée par PluXml
	 * @return	null
	 * @author	Stephane F, Thomas Ingles
	 **/
	public function __construct($default_lang) {

		# Appel du constructeur de la classe (obligatoire)
		parent::__construct($default_lang);

		# Déclarations des hooks admin
		if(defined('PLX_ADMIN') AND strpos($_SERVER['PHP_SELF'], 'article.php') !== false){
			$this->addHook('AdminTopEndHead', 'AdminTopEndHead');
			$this->addHook('AdminFootEndBody', 'AdminFootEndBody');
		}
	}

	/**
	 * Méthode qui ajoute l'insertion de la feuille de style dans la partie <head> du site
	 *
	 * @return	stdio
	 * @author	Stephane F, Thomas Ingles
	 **/
	public function AdminTopEndHead() {
?>
<link rel="stylesheet" href="<?php echo PLX_PLUGINS.__CLASS__ ?>/jquery.tag-editor.css?v=1.0.1">
<?php
	}

	/**
	 * Méthode qui ajoute l'insertion du javascript dans la partie <body> du site
	 *
	 * @return	stdio
	 * @author	Stephane F, Thomas Ingles
	 **/
	public function AdminFootEndBody() {
		$this->addJQuery();
?>
<script type="text/javascript" src="<?php echo PLX_PLUGINS.__CLASS__ ?>/jquery.caret.min.js?v=1.3.3"></script>
<script type="text/javascript" src="<?php echo PLX_PLUGINS.__CLASS__ ?>/jquery.tag-editor.min.js?v=1.0.21"></script>
<script type="text/javascript">
	$("#id_tags").tagEditor({
		forceLowercase:false,
		onChange: function(){// callback for plxAdminBar plugin 2.1.1
			if (typeof plxAdminBar_fields_is_modified == 'function'){
				plxAdminBar_fields_is_modified();//alert data changed before unload
			}
			$(this).onChange = function(){};//restore original funk
		}
	});
	$("#tags a").click(function(){
		$("#id_tags").tagEditor("addTag", $(this).text());
	});
</script>
<?php
	}

	/**
	 * Méthode qui ajoute l'insertion du javascript dans la partie <head> du site
	 *
	 * @return	stdio
	 * @author	Stephane F, Thomas Ingles
	 **/
	public function addJQuery() {
?>
<script type="text/javascript">
 //typeof jQuery == 'undefined'
 !window.jQuery && document.write('<script type="text/javascript" src="<?php echo PLX_PLUGINS.__CLASS__ ?>/jquery.min.js?v=3.3.1"><\/script>');
</script>
<script>
$.ajaxPrefilter(function( options, original_Options, jqXHR ) {
    options.async = true;
});
</script>
<?php
	}
}
